Get Blueprints by Slugs

GET https://api.ap1.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.ap2.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.datadoghq.eu/api/v2/app-builder/blueprints/slugs/{slugs}https://api.ddog-gov.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.us2.ddog-gov.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.us3.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.us5.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}

Overview

Retrieve app blueprints by their slugs. This endpoint requires any of the following permissions:

  • apps_run
  • apps_write
  • connections_read
  • connections_write

  • Arguments

    Path Parameters

    Name

    Type

    Description

    slugs [required]

    string

    A comma-separated list of blueprint slugs.

    Response

    OK

    The response for retrieving multiple blueprints.

    Expand All

    Field

    Type

    Description

    data

    [object]

    An array of blueprints.

    attributes [required]

    object

    The attributes of a blueprint resource.

    created_at [required]

    date-time

    The timestamp when the blueprint was created.

    definition [required]

    enum

    The app definition type. Allowed enum values: appDefinitions

    default: appDefinitions

    description [required]

    string

    A description of what the blueprint does.

    embedded_datastore_blueprints

    object

    Embedded datastore blueprints.

    embedded_native_actions

    [object]

    Embedded native actions.

    embedded_workflow_blueprints

    object

    Embedded workflow blueprints.

    integration_id

    string

    The integration ID associated with the blueprint.

    mocked_outputs

    object

    Mocked outputs for testing the blueprint.

    name [required]

    string

    The human-readable name of the blueprint.

    slug [required]

    string

    The unique slug identifier of the blueprint.

    tags

    [string]

    Tags associated with the blueprint.

    tile_background

    string

    The background style of the blueprint tile.

    tile_icon_action_fqn

    string

    The fully qualified name of the action used as the tile icon.

    updated_at [required]

    date-time

    The timestamp when the blueprint was last updated.

    id [required]

    uuid

    The ID of the blueprint.

    type [required]

    enum

    The resource type for a blueprint. Allowed enum values: blueprint

    {
      "data": [
        {
          "attributes": {
            "created_at": "",
            "definition": "appDefinitions",
            "description": "",
            "embedded_datastore_blueprints": {},
            "embedded_native_actions": [],
            "embedded_workflow_blueprints": {},
            "integration_id": "string",
            "mocked_outputs": {},
            "name": "AWS Service Manager",
            "slug": "aws-service-manager",
            "tags": [],
            "tile_background": "string",
            "tile_icon_action_fqn": "string",
            "updated_at": ""
          },
          "id": "65bb1f25-52e1-4510-9f8d-22d1516ed693",
          "type": "blueprint"
        }
      ]
    }

    Forbidden

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export slugs="aws-service-manager"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/app-builder/blueprints/slugs/${slugs}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"